%define real_name nagios-plugins

Name: icinga-plugins
Version: 2.0.3
Release: 1
Summary: Host/service/network monitoring program plugins for Icinga
Group: Applications/System
License: GPLv2+
URL: http://nagiosplugins.org/
Source0: http://downloads.sourceforge.net/nagiosplug/%{real_name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gettext >= 0.10.40
BuildRequires: libdbi-devel >= 0.8.4-1
BuildRequires: icinga
BuildRequires: openldap-devel >= 2.4.23
BuildRequires: openssl-devel >= 1.0.1h-1

Requires: bash
Requires: gettext >= 0.10.40
Requires: libdbi >= 0.8.4-1
Requires: openldap >= 2.4.23
Requires: openssl >= 1.0.1h-1

%description
Icinga is a fork of the Nagios monitoring solution.
It is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. Icinga runs on a Unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to Icinga.

This package contains those plugins.


%prep
%setup -q -n %{real_name}-%{version}


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

export CC="xlc_r"

export CFLAGS="-D_LARGE_FILES -qmaxmem=16384 -DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

./configure \
    --prefix=%{_prefix} \
    --libexecdir=%{_libdir}/icinga/plugins \
    --enable-extra-opts \
    --with-nagios-user=icinga \
    --with-nagios-group=icinga \
    PATH_TO_NTPQ=/usr/sbin/ntpq \
    PATH_TO_NTPDATE=/usr/sbin/ntpdate \
    --with-ps-command="/usr/sysv/bin/ps -eo 's uid pid ppid vsz rss pcpu etime comm args'" \
    --with-ps-format='%s %d %d %d %d %d %f %s %s %n' \
    --with-ps-cols=10 \
    --with-ps-varlist='procstat,&procuid,&procpid,&procppid,&procvsz,&procrss,&procpcpu,procetime,procprog,&pos'

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_libdir}/icinga/plugins/* || :

chmod 644 ${RPM_BUILD_ROOT}%{_libdir}/icinga/plugins/utils.pm


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ACKNOWLEDGEMENTS AUTHORS ChangeLog CODING COPYING FAQ LEGAL NEWS
%doc README REQUIREMENTS SUPPORT THANKS
%dir %{_libdir}/icinga/plugins
%{_libdir}/icinga/plugins/*


%changelog
* Wed Jul 02 2014 Michael Perzl <michael@perzl.org> - 2.0.3-1
- updated to version 2.0.3

* Wed May 28 2014 Michael Perzl <michael@perzl.org> - 2.0.2-1
- updated to version 2.0.2

* Wed Apr 16 2014 Michael Perzl <michael@perzl.org> - 2.0.1-1
- updated to version 2.0.1

* Mon Mar 17 2014 Michael Perzl <michael@perzl.org> - 2.0-1
- updated to version 2.0

* Tue Nov 12 2013 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Tue Jun 18 2013 Michael Perzl <michael@perzl.org> - 1.4.16-1
- updated to version 1.4.16

* Tue Jun 18 2013 Michael Perzl <michael@perzl.org> - 1.4.15-1
- updated to version 1.4.15

* Wed Jun 20 2012 Michael Perzl <michael@perzl.org> - 1.4.14-1
- first version for AIX V5.1 and higher
